/* Specific styling for mobile view < 850px */
.desktop {
  display: none;
}

.card dialog {
  width: 96%;
  --card-padding: 2.5rem 1rem 1rem 1rem;
}

.sign-up--card {
  --card-padding: 2.5rem 1rem 1rem 1rem;
  max-width: 30rem;
}

.sign-up-container {
  height: unset;
  min-height: unset;
}

/* SIGN-UP page */
.sign-up-container--content {
  grid-template-rows: repeat(3, auto);
  grid-template-columns: auto;
  justify-content: center;
  padding-bottom: 2rem;
  gap: 1rem;
}

.login-container {
  /* Shifts the intro down when the screen becomes small. */
  padding-top: clamp(0px, calc(12rem - (100vw - 600px)), 9rem);
  /* Force to columns while retaining proper flex row styling.  */
  column-gap: 50vw;
}

.page-container > .card.card--login:first-child {
  /* Shifts the intro down when the screen becomes small. */
  margin-top: clamp(0px, calc(9rem - (100vw - 600px)), 9rem);
}

.sign-up--intro {
  width: 100%;
  padding: 2.5rem 1rem 1rem 1rem;
  justify-self: end;
}

.sign-up--intro h1,
.sign-up--intro h2 {
  text-align: end;
}
.sign-up--intro h2 {
  margin-bottom: 1rem;
}
.sign-up--intro p:first-of-type {
  max-width: 25rem;
  margin: auto;
}

.card--contact {
  text-align: center;
  padding: 0 3rem;
}
.card--contact p {
  margin: 0;
  line-height: 1.6875em;
}

.sign-up--card h2 {
  padding: 0;
}

.sign-up--progress-icons {
  height: unset;
}

.form-field--multi, .birth-date-container {
    gap: 0.5em;
}

.accordeon {
    --accordeon-padding: 0.375rem 0.5rem;
    --accordeon-summary-grid-gap: 0.5rem;

    &[disabled] {
        --accordeon-padding: 0 0.5rem;
    }
}
/* smaller dan 510px */
@media (max-width: 510px) {
    .accordeon {
        --accordeon-summary-grid-template: 2.5rem minmax(16rem,1fr) 2rem;
        --accordeon-content-grid-template: 0 minmax(20.5rem,1fr);
        --accordeon-content-grid-gap: 0;
        --accordeon-step: 2rem;
        --accordeon-step-font-size: 1.375rem;
        --accordeon-step-info: 1.375rem;
        --accordeon-step-info-font-size: 1rem;
    }
}
/* breeder dan 510px */
@media (min-width: 510px) {
    .accordeon {
        --accordeon-content-grid-gap: 0.5rem;
    }
}